Bug 1121326 - Graphical Desktop doesn't start (lxde)
Summary: Graphical Desktop doesn't start (lxde)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lxdm
Version: 20
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 08:50 UTC by bob mckay
Modified: 2015-06-29 21:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:39:02 UTC


Attachments (Terms of Use)
/etc/X11/xorg.conf/10-HSD3e9_monitor.conf (effects same whether or not this is present) (208 bytes, text/plain)
2014-07-19 08:50 UTC, bob mckay
no flags Details
journalctl output from boot through console login and then external sshd login (15.31 KB, text/plain)
2014-07-19 08:52 UTC, bob mckay
no flags Details
lspci listing (1.58 KB, text/plain)
2014-07-19 08:53 UTC, bob mckay
no flags Details
monitor-edid output (477 bytes, text/plain)
2014-07-19 08:54 UTC, bob mckay
no flags Details
orphan packages (will tidy these up) (1.92 KB, text/plain)
2014-07-19 08:55 UTC, bob mckay
no flags Details
ps lx processes (298 bytes, text/plain)
2014-07-19 08:56 UTC, bob mckay
no flags Details
List of sessions and output of session 0 (655 bytes, text/plain)
2014-07-19 08:57 UTC, bob mckay
no flags Details
xorg log (25.47 KB, text/plain)
2014-07-19 09:00 UTC, bob mckay
no flags Details

Description bob mckay 2014-07-19 08:50:20 UTC
Created attachment 919236 [details]
/etc/X11/xorg.conf/10-HSD3e9_monitor.conf (effects same whether or not this is present)

First two apologies: this looks a lot like #955779, but there are some differences, and given the problem with too many different issues being reported under 955779, I'm reporting it separately here. Sorry if I'm wrong in this. Second, it's only my guess that lxdm is the relevant component - please re-allocate if I've guessed wrong.

Description of problem:
Logging in from the console greeter, the primary desktop generally fails to start, showing only wallpaper and a cursor. This applies to all desktops used (classic, lxde, openbox), but testing has mostly been done with lxde. In case it's relevant, logging in remotely over nx works reliably, at least with lxde.

Version-Release number of selected component (if applicable):
0.4.1-6.fc20 (if lxdm is the culprit).

How reproducible:
About 90% reproducible if I stay with lxde in the greeter (i.e. something around 10% of logins work). When it does work, the desktop appears quickly - otherwise it doesn't appear even after 24 hours. These characteristics seem to be different from 955779. Also, I don't see any obvious crash logs (but not sure where to look). If I switch between sessions (i.e. lxde, classic, openbox) the success rate seems a bit higher, maybe one in four. I don't even try gnome3, as I assume that would only complicate matters.

Steps to Reproduce:
1. Select classic, lxde or openbox
2. Log in via console greeter

Actual results:
Wallpaper and cursor appear, nothing else

Expected results:
Desktop appears

Additional info:
Initially, I guessed that this was a problem of screen resolution (this is a very basic notebook, 1024x600 resolution) and that the desktop was being created, just not on the physical screen area. But the problem occurs whether I use the attached monitor.conf or not. I haven't been able to find any hints of problems in the logs (but this may be just my not knowing where to look). I'm happy to supply anything requested.

journalctl output shows a full session, from boot, including an attempt to login via the console, then about a minute later a login via ssh (which is how I got the various logs) - with a few names changed to protect the guilty.

This machine was initially installed at about fedora 12, and has been updated via preupgrade and fedup since. It is fully yum updated to 2014/07/19, nothing problematic showing under either package-cleanup or rpmconf (well, there are a few orphans showing up, that none that look relevant - will clean them up now and report if it fixes anything).

Comment 1 bob mckay 2014-07-19 08:52:31 UTC
Created attachment 919237 [details]
journalctl output from boot through console login and then external sshd login

Comment 2 bob mckay 2014-07-19 08:53:19 UTC
Created attachment 919238 [details]
lspci listing

Comment 3 bob mckay 2014-07-19 08:54:15 UTC
Created attachment 919239 [details]
monitor-edid output

Comment 4 bob mckay 2014-07-19 08:55:30 UTC
Created attachment 919240 [details]
orphan packages (will tidy these up)

Comment 5 bob mckay 2014-07-19 08:56:35 UTC
Created attachment 919241 [details]
ps lx processes

Comment 6 bob mckay 2014-07-19 08:57:18 UTC
Created attachment 919242 [details]
List of sessions and output of session 0

Comment 7 bob mckay 2014-07-19 09:00:01 UTC
Created attachment 919243 [details]
xorg log

Note: because these outputs were gathered by external ssh sessions, Xorg.0.log.old isn't relevant (so not included)

Comment 8 Fedora End Of Life 2015-05-29 12:24:50 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-29 21:39:02 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.